Arvados - Bug #5521

[Workbench] Slow download speed from browser
03/20/2015 03:46 PM - Bryan Cosca

Status: Closed Start date: 03/20/2015
Priority: Normal Due date:

Assigned To: % Done: 0%
Category: Workbench Estimated time: 0.00 hour
Target version:

Description

From a customer: "We tried downloading both output files and noticed two things: 1: While the speed when uploading is around
10MB/s, downloading goes at roughly 300kb/s. 2: Due to the download rate the download stops when done through the browser."

Related issues:
Related to Arvados - Story #5824: [Workbench] [Keep] collection browse/downlo... Resolved 05/21/2015

History

#1 - 04/03/2015 08:59 PM - Brett Smith
- Subject changed from Slow download speed from browser to [Workbench] Slow download speed from browser
- Category set to Workbench

- Target version set to Bug Triage

| think this might be related to the 1GiB limit bug that was resolved last sprint, but need to investigate.

#2 - 04/06/2015 02:20 PM - Peter Amstutz

The second one (download stops) could plausibly be the 1 GiB limit bug. The first one has been observed but not investigated, but seems likely to be
an issue with out AWS configuration, but we should do some benchmarking of AWS vs GCP vs on-premise to get a handle on it.

#4 - 04/17/2015 06:05 PM - Tom Clegg

- Status changed from New to In Progress

#5 - 04/17/2015 09:49 PM - Ward Vandewege

Bryan - this ticket requires more information: which file, exactly, were they trying to download?

Now that grihi lives on GCP, | can't reproduce slowness - currenlty downloading a fastq at over 5 MiB/second.

Thanks,
Ward.

#6 - 05/14/2015 07:12 PM - Brett Smith
- Status changed from In Progress to Closed

- Target version deleted (Bug Triage)

I'm closing this for sort of a combination of reasons. One, we already know that general Workbench download performance is not where we want it to
be, and we already have tickets to address that generally. #5824 is the best example.

Two, information to determine if there's a specific download that is causing trouble is not available.
